Package org.apache.maven.scm

## Class ScmFileSet

- java.lang.Object
- - org.apache.maven.scm.ScmFileSet

All Implemented Interfaces:
  `java.io.Serializable`

    public class ScmFileSet
    extends java.lang.Object
    implements java.io.Serializable

Set of files used for SCM operations. Consists of the base directory of the files and a list of files relative to that directory.

Author:
  Brett Porter
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ScmFileSet​(java.io.File basedir)` Create a file set with no files, only the base directory.
`ScmFileSet​(java.io.File basedir, java.io.File file)` Create a file set with only the file provided, relative to basedir.
`ScmFileSet​(java.io.File basedir, java.io.File[] files)` Deprecated. use ScmFileSet( File, List )
`ScmFileSet​(java.io.File basedir, java.lang.String includes)` Create a file set with files from basefile, using includes provided and default excludes.
`ScmFileSet​(java.io.File basedir, java.lang.String includes, java.lang.String excludes)` Create a file set with only files (not directories) from basefile, using includes and excludes provided.
`ScmFileSet​(java.io.File basedir, java.util.List<java.io.File> files)` Create a file set with the files provided, relative to basedir.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`java.io.File` `getBasedir()` Get the base directory of the file set.
`java.lang.String` `getExcludes()`
`java.util.List<java.io.File>` `getFileList()` Get the list of files in the set, relative to basedir
`java.io.File[]` `getFiles()` Deprecated. use getFileList() instead
`java.lang.String` `getIncludes()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScmFileSet

    public ScmFileSet​(java.io.File basedir)

Create a file set with no files, only the base directory.

Parameters:
  `basedir` - directory files in the set are relative to

#### ScmFileSet

    public ScmFileSet​(java.io.File basedir,
                      java.io.File file)

Create a file set with only the file provided, relative to basedir.

Parameters:
  `basedir` - directory file is relative to
  `file` - file that the set will contain, has to be relative to basedir

#### ScmFileSet

    public ScmFileSet​(java.io.File basedir,
                      java.lang.String includes,
                      java.lang.String excludes)
               throws java.io.IOException

Create a file set with only files (not directories) from basefile, using includes and excludes provided.

Parameters:
  `basedir` - directory files are relative to
  `includes` - Ant pattern for files to include
  `excludes` - Ant pattern for files to exclude, if null DEFAULT_EXCLUDES is used, else DEFAULT_EXCLUDES is added.
Throws:
  `java.io.IOException` - if any

#### ScmFileSet

    public ScmFileSet​(java.io.File basedir,
                      java.lang.String includes)
               throws java.io.IOException

Create a file set with files from basefile, using includes provided and default excludes.

Parameters:
  `basedir` - directory files are relative to
  `includes` - Ant pattern for files to include
Throws:
  `java.io.IOException` - if any
Since:
  1.0

#### ScmFileSet

    public ScmFileSet​(java.io.File basedir,
                      java.io.File[] files)

Deprecated.
use ScmFileSet( File, List )
Create a file set with the files provided, relative to basedir.

Parameters:
  `basedir` - directory files are relative to
  `files` - files that the set will contain, have to be relative to basedir

#### ScmFileSet

    public ScmFileSet​(java.io.File basedir,
                      java.util.List<java.io.File> files)

Create a file set with the files provided, relative to basedir.

Parameters:
  `basedir` - directory files are relative to
  `files` - list of File objects, files that the set will contain, have to be relative to basedir

### Method Detail

#### getBasedir

    public java.io.File getBasedir()

Get the base directory of the file set. It's the directory files in the set are relative to.

Returns:
  base directory

#### getFiles

    public java.io.File[] getFiles()

Deprecated.
use getFileList() instead
Get the list of files in the set, relative to basedir

Returns:
  files in this set

#### getFileList

    public java.util.List<java.io.File> getFileList()

Get the list of files in the set, relative to basedir

Returns:
  List of File objects

#### getIncludes

    public java.lang.String getIncludes()

Returns:
  the includes files as a comma separated string

#### getExcludes

    public java.lang.String getExcludes()

Returns:
  the excludes files as a comma separated string

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`